Go to the latest version of this document.

# ``twisted`.`mail`.`pop3`.`APOPCredentials``

class documentation

`class APOPCredentials: (source)`

Constructor: `APOPCredentials(magic, username, digest)`

Implements interfaces: `twisted.cred.credentials.IUsernameHashedPassword`

View In Hierarchy

Credentials for use in APOP authentication.

Method | `__init__` | No summary
Method | `checkPassword` | Validate a plaintext password against the credentials.
Instance Variable | `digest` | See `__init__`
Instance Variable | `magic` | See `__init__`
Instance Variable | `username` | See `__init__`

def __init__(self, magic, username, digest): (source)
from `twisted.cred.credentials.IUsernameHashedPassword`

Parameters
magic:`bytes` | The challenge string used to encrypt the password.
username:`bytes` | The username associated with these credentials.
digest:`bytes` | An encrypted version of the user's password. Should be generated as an MD5 hash of the challenge string concatenated with the plaintext password.

def checkPassword(self, password): (source)
from `twisted.cred.credentials.IUsernameHashedPassword`

Validate a plaintext password against the credentials.

Parameters
password:`bytes` | A plaintext password.

Returns
`bool` | `True` if the credentials represented by this object match the given password, `False` if they do not.

digest = (source)

See `__init__`

magic = (source)

See `__init__`

username = (source)
from `twisted.cred.credentials.IUsernameHashedPassword`

See `__init__`